<s:div xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:s="http://jboss.org/schema/seam/taglib"
	xmlns:h="http://java.sun.com/jsf/html" xmlns:a4j="http://richfaces.org/a4j"
	xmlns:g="http://www.ihe.net/gazelle" xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri"
	xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
	xmlns="http://www.w3.org/1999/xhtml">
	<s:div id="treereRender">
		<rich:tree id="treesubid" value="#{pnrIHEManager.treeNodeSubmission}"
			var="node" style="vertical-align:top"
			nodeType="#{node.data.class.simpleName}" toggleType="client">
			
			<rich:treeNode type="XDSSubmissionSet" id="xdssubid" width="20" expanded="#{true}"
				height="20" >
				<a4j:commandLink value="#{messages['net.ihe.gazelle.xdstar.SubmissionSet']} #{node.data.title}"
					style="font-weight:bold;" rendered="#{pnrIHEManager.editSubmissionSet}"
					actionListener="#{pnrIHEManager.editXDSSubmissionSet()}" render="metadata_id,treesubid" />
				<a4j:commandLink value="#{messages['net.ihe.gazelle.xdstar.SubmissionSet']} #{node.data.title}"
					rendered="#{!pnrIHEManager.editSubmissionSet}"
					actionListener="#{pnrIHEManager.editXDSSubmissionSet()}" render="metadata_id,treesubid" />
				<gdk:spacer width="5" />
				<a4j:commandLink execute="@form"
					actionListener="#{pnrIHEManager.addFolder(node.data)}" render="treereRender,metadata_id">
					<span class="gzl-icon-stack" title="#{messages['net.ihe.gazelle.xdstar.AddXDSFolderToTheSubmissionSet']}">
                        <i class="gzl-icon-folder-open gzl-icon-stack-1x"></i>
                        <i class="gzl-icon-plus gzl-icon-stack-1x gzl-icon-stack-bottom-right"></i>
                    </span>
				</a4j:commandLink>
				<gdk:spacer width="5" />
                <a4j:commandLink execute="@form"
                                 actionListener="#{pnrIHEManager.addDocumentEntry(node.data)}" render="treereRender,metadata_id">
					<span class="gzl-icon-stack" title="#{messages['net.ihe.gazelle.xdstar.AddXDSDocumentEntryToTheSubmissionSet']}">
                        <i class="gzl-icon-files-o gzl-icon-stack-1x"></i>
                        <i class="gzl-icon-plus gzl-icon-stack-1x gzl-icon-stack-bottom-right"></i>
                    </span>
                </a4j:commandLink>
			</rich:treeNode>
			
			<rich:treeNode type="XDSFolder" id="xdsfolderid" width="20" expanded="#{true}"
				height="20">
				<a4j:commandLink value="#{node.data.title}" style="font-weight:bold;"
					rendered="#{pnrIHEManager.selectedXDSFolder.equals(node.data) and pnrIHEManager.editXDSFolder}"
					actionListener="#{pnrIHEManager.editXDSFolder(node.data)}" render="metadata_id,treesubid" />
				<a4j:commandLink value="#{node.data.title}"
					rendered="#{!pnrIHEManager.selectedXDSFolder.equals(node.data) or !pnrIHEManager.editXDSFolder}"
					actionListener="#{pnrIHEManager.editXDSFolder(node.data)}" render="metadata_id,treesubid" />
				<gdk:spacer width="5" />
                <a4j:commandLink execute="@this"
                                 actionListener="#{pnrIHEManager.addDocumentEntry(node.data)}" render="treereRender,metadata_id">
					<span class="gzl-icon-stack" title="#{messages['net.ihe.gazelle.xdstar.AddXDSDocumentEntryToXDSFolder']}">
                        <i class="gzl-icon-files-o gzl-icon-stack-1x"></i>
                        <i class="gzl-icon-plus gzl-icon-stack-1x gzl-icon-stack-bottom-right"></i>
                    </span>
                </a4j:commandLink>
                <a4j:commandLink execute="@this"
                                 actionListener="#{pnrIHEManager.deleteXDSFolder(node.data)}" render="treereRender,metadata_id">
					<span class="gzl-icon-trash-o" title="#{messages['net.ihe.gazelle.xdstar.DeleteXDSFolder']}#{node.data.title}'"/>
                </a4j:commandLink>
			</rich:treeNode>
			
			<rich:treeNode type="XDSDocumentEntry" id="xdsdocid" width="20" expanded="#{true}"
				height="20">
				<a4j:commandLink value="#{node.data.title}" style="font-weight:bold;"
					rendered="#{pnrIHEManager.selectedXDSDocumentEntry.equals(node.data) and pnrIHEManager.editXDSDocumentEntry}"
					actionListener="#{pnrIHEManager.editXDSDocumentEntry(node.data)}"
					render="metadata_id,treesubid" />
				<a4j:commandLink value="#{node.data.title}"
					rendered="#{!pnrIHEManager.selectedXDSDocumentEntry.equals(node.data) or !pnrIHEManager.editXDSDocumentEntry}"
					actionListener="#{pnrIHEManager.editXDSDocumentEntry(node.data)}"
					render="metadata_id,treesubid" />
                <a4j:commandLink execute="@this"
                                 actionListener="#{pnrIHEManager.deleteXDSDocument(node.data)}" render="treereRender,metadata_id">
                    <span class="gzl-icon-trash-o" title="#{messages['net.ihe.gazelle.xdstar.DeleteXDSDocumentEntry']}#{node.data.title}'"/>
                </a4j:commandLink>
				<s:div styleClass="gzl-alert gzl-alert-orange" rendered="#{pnrIHEManager.isPatientIDEmpty()}">
					<span class="gzl-icon-exclamation-triangle"/>
					<h:outputText value="#{messages['net.ihe.gazelle.xdstar.FulfilMetadatasOfTheSubmissionSetThePatientIdOfT']}"/>
				</s:div>
			</rich:treeNode>
		</rich:tree>
	</s:div>
</s:div>
